import { jsx } from "react/jsx-runtime";
import { SolarPanelIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SolarPanel = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "SolarPanel", ...props, children: /* @__PURE__ */ jsx(SolarPanelIcon, { weight: variant }) });
  }
);
SolarPanel.displayName = "SolarPanel";
Object.assign(SolarPanel, { isGdsIcon: true });
export {
  SolarPanel
};
